#!/usr/bin/perl

use Astro::IRAF::CL;

my $iraf=Astro::IRAF::CL->new();

$frame=$ARGV[0];

my $median=$iraf->exec(command=> "imstat $frame fields=midpt lower=INDEF upper=INDEF nclip=3 lsigma=3. usigma=3. binwidt=0.1 format=no cache=yes");

$iraf->exec(command=> "imarith $frame - $median $frame");

my $median2=$iraf->exec(command=> "imstat $frame fields=midpt lower=INDEF upper=INDEF nclip=3 lsigma=3. usigma=3. binwidt=0.1 format=no cache=yes");

print "$median2\n";





